/*
 * CampoLLenoParaValorDeOtroCampo.java
 *
 * Created on 24 de marzo de 2007, 01:48 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class CampoLLenoParaValorDeOtroCampo extends AbstractRule {

	/** Creates a new instance of CampoLlenoParaUnValorDiferenteDeOtroCampo */

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		if (registro[new Integer((String) getParams()[0]).intValue()]
				.equals(getParams()[1])) {

			return (field.length() > 0);

		}

		return false;
	}

}